#
# spec file for package libpri
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define	pkgname	libpri
%define	soname	%{pkgname}1_4

Name:           %{soname}
Summary:        ISDN Library
Version:        1.4.13
Release:        1.7
License:        BSD License and BSD-like, GNU General Public License (GPL) - all versions
Group:          System/Libraries
URL:            http://www.asterisk.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prereq:         /sbin/ldconfig
Source0:        %{pkgname}-%{version}.tar.bz2
BuildRequires:	dahdi-linux-devel
BuildRequires:	libtonezone-devel

%description
libpri is a C implementation of the Primary Rate ISDN specification. It
has been extended to support Basic Rate ISDN as well.

%package -n %{pkgname}-devel
Requires:	%{soname}
Summary:	ISDN Library devel files
Group:		System/Libraries
Provides:	%{pkgname}
Obsoletes:	%{pkgname}

%description -n %{pkgname}-devel
libpri is a C implementation of the Primary Rate ISDN specification. It
has been extended to support Basic Rate ISDN as well.
This package contains development files

Authors:
--------
    Mark Spencer <markster@digium.com>
    Klaus-Peter Junghanns <kpj@junghanns.net>

%prep
%setup -q -n %{pkgname}-%{version}
%suse_update_libdir Makefile


%build
make CFLAGS="%optflags -fPIC"

%install
make install INSTALL_PREFIX=%buildroot LIB=%_lib
strip %{buildroot}%{_libdir}/%{pkgname}.so.1.4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO
%{_libdir}/%{pkgname}.so.1.4

%files -n %{pkgname}-devel
%defattr(-,root,root)
%{_libdir}/%{pkgname}.a
%{_libdir}/%{pkgname}.so
%{_includedir}/libpri.h

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Wed Oct 10 2012 cs@linux-administrator.com
- update to release 1.4.13
* Sun Jul 24 2011 cs@linux-administrator.com
- update to version 1.4.12
* Thu Jan 13 2011 cs@linux-administrator.com
- update to version 1.4.11.5
* Thu Oct 19 2006 max@suse.de
- New versions: libpri-1.2.4, bristuff-0.3.0-PRE-1s
- Fix some bugs and match the latest version of Asterisk.
* Fri Jul  7 2006 max@suse.de
- New versions: libpri-1.2.3, bristuff-0.3.0-PRE-1q, fix some bugs
  and match the newest versions of Asterisk and zaptel.
* Mon Mar 20 2006 max@suse.de
- Updated the bristuff patch to version 0.3.0-PRE-1k to match the
  new version of Asterisk.
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 max@suse.de
- New versions: libpri-1.2.2, bristuff-0.3.0-PRE-1i
* Fri Dec 16 2005 max@suse.de
- New version: 1.2.1
- New version of the bristuff patch: 0.3.0-PRE-1c
* Wed Aug 10 2005 max@suse.de
- New version of the bristuff patch: 0.2.0-rc8n
* Mon Jul 18 2005 max@suse.de
- New version 1.0.9
- New version of the bristuff patch: 0.2.0-rc8j
* Mon Mar  7 2005 max@suse.de
- New version of the bristuff patch: 0.2.0-rc7k
* Mon Feb 28 2005 max@suse.de
- New version: 1.0.6
- New version of the bristuff patch: 0.2.0-rc7i
* Thu Jan 13 2005 max@suse.de
- New version: 1.0.3
- New version of the bristuff patch: 0.2.0-rc3a
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Fri Nov  5 2004 max@suse.de
- New version: 1.0.2
- New version of the bristuff patch: 0.2.0-rc2a
* Thu Aug 19 2004 max@suse.de
- Update to bristuff 0.1.0-RC4a
- Update to CVS snapshot from 2004-08-13
* Thu Aug 12 2004 max@suse.de
- Update to bristuff 0.1.0-RC3.
- Update to CVS snapshot from 2004-08-12.
- Run ldconfig after (un)installation.
* Fri Jul 23 2004 max@suse.de
- Update to bristuff 0.1.0-RC2
- Update to CVS snapshot from 2004-07-22
* Wed Jun 23 2004 max@suse.de
- New package: libpri - Userspace implementation of the
  ISDN PRI (S2M) protocols. It supports TE, and NT mode.
- CVS snapshot from 2004-05-10, based on 0.6.0.
- Added patch to support BRI (S0-Bus) as well.
